<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#info_batal").hide();	
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
				$("#t_tglaw_bt").val(data.tanggal);
				$("#t_tglak_bt").val(data.tanggal);
			}
		});
	}
	
	$("#cari_tgl").click(function(){
		var tgl_awal  = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		var cari      = $("#cari_plg").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data").show();
		$("#tampil_data").load('modul/pener_piut/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#cari_plg").keyup(function(){
		var tgl_awal  	= $("#t_tgl_awal").val();
		var tgl_akhir 	= $("#t_tgl_akhir").val();
		var cari      	= $("#cari_plg").val();
		
		$.ajax({
			type	: "GET",
			url		: "modul/pener_piut/tampil_data.php",
			data	: "cari="+cari+
					"&tgl_awal="+tgl_awal+
					"&tgl_akhir="+tgl_akhir,
			success	: function(data){
				$("#tampil_data").html(data);
			}
		});
	});
	
	$("#cetak_ppi").click(function(){	
		var tgl_awal	= $("#t_tgl_awal").val();
		var tgl_akhir	= $("#t_tgl_akhir").val();
		var cari      	= $("#cari_plg").val();
		
		window.location.href='modul/laporan/daftar_ppi.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari;
	});
	
	$("#tutup_ppi").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_bt").click(function(){
		var tgl_awal  = $("#t_tglaw_bt").val();
		var tgl_akhir = $("#t_tglak_bt").val();
		var cari      	= $("#cari_plgbt").val();
				
		$("#tampil_data_bt").show();
		$("#tampil_data_bt").load('spv/pener_piut/tampil_data_batal.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#cari_plgbt").keyup(function(){
		var tgl_awal  	= $("#t_tglaw_bt").val();
		var tgl_akhir 	= $("#t_tglak_bt").val();
		var cari      	= $("#cari_plgbt").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglaw_bt").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tglak_bt").focus();
			return false;
		}
		$("#tampil_data_bt").show();
		$("#tampil_data_bt").load('spv/pener_piut/tampil_data_batal.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
	});
	
	$("#batal_ppi").click(function(){
		var kode = $("#txt_kode").val();		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin batalkan '+kode+' ini ?');
		
		if(pilih==true){
			var kodepl    	= $("#txt_kodepl").val();
			var tgl_awal  	= $("#t_tglaw_bt").val();
			var tgl_akhir 	= $("#t_tglak_bt").val();
			var cari      	= $("#cari_plgbt").val();
					
			$.ajax({
				type	: "POST",
				url	: "spv/pener_piut/batal.php",
				data: "kode="+kode+					
					"&kodepl="+kodepl,
				timeout: 2000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");
				},
				success	: function(data){
					$("#info").html(data);					
					$("#info_batal").hide();
					$("#tampil_detail_bt").hide();
					$("#pencarian_bt").show();
					$("#tampil_data_bt").show();
					$("#tampil_data_bt").load('spv/pener_piut/tampil_data_batal.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&cari='+cari);
				}
			});
		}
	});
	
	$("#tutup_detail").click(function(){
		$("#info_batal").hide();
		$("#tampil_detail").hide();
		$("#pencarian_bt").show();		
		$("#tampil_data_bt").show();
	});
	
	$("#tutup_bt").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >	       
	       <li><a href='#data'>DAFTAR PENERIMAAN PIUTANG</a></li>
		   <li><a href='#batal'>BATAL PENERIMAAN PIUTANG</a></li>
      </ul>";
	  
echo "<div id='data'>
		<div id='pencarian'>
			<fieldset>
				<legend>Pencarian data penerimaan piutang</legend>
				<table width='100%'>
				<tr>
					<td>Penerimaan tanggal : <input type='date' name='t_tgl_awal' id='t_tgl_awal' size='10'> s/d <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td align='center'>
						<button name='cari_tgl' id='cari_tgl'>Cari</button>
						<button name='cetak_ppi' id='cetak_ppi'>Cetak</button>
						<button name='tutup_ppi' id='tutup_ppi'>Tutup</button>
					</td>
					<td align='right'>Cari Pelanggan : <input type='text' name='cari_plg' id='cari_plg' size='30'></td>
				</tr>				
				</table>
			</fieldset>
		</div>
		<div id='tampil_data' align='center'></div>";
echo "</div>";

echo "<div id='batal'>
		<div id='pencarian_bt'>
			<fieldset>
				<legend>Pencarian data penerimaan piutang</legend>
				<table width='100%'>
				<tr>
					<td>Penerimaan tanggal : <input type='date' name='t_tglaw_bt' id='t_tglaw_bt' size='10'> sampai dengan <input type='date' name='t_tglak_bt' id='t_tglak_bt' size='10'></td>
					<td align='right'>
						<button name='cari_bt' id='cari_bt'>Cari</button>
						<button name='tutup_bt' id='tutup_bt'>Tutup</button>
					</td>
					<td align='right'>Cari Pelanggan : <input type='text' name='cari_plgbt' id='cari_plgbt' size='30'></td>
				</tr>				
				</table>
			</fieldset>
			
			<div id='tampil_data_bt' align='center'></div>
		</div>
		
		<div id='info_batal'>
			<table width='100%'>	
			<tr>
				<td>Kode PPI : <input type='text' name='txt_kode' id='txt_kode' size='8' class='input_header' readonly /></td>
				<td>Tanggal</td>
				<td>:</td>
				<td><input type='date' name='txt_tanggal' id='txt_tanggal' readonly /></td>
				<td>Pelanggan</td>
				<td>:</td>
				<td>			
					<input type='text' name='txt_namapl' id='txt_namapl' size='21' class='input_header' readonly />
					<input type='text' name='txt_kodepl' id='txt_kodepl' size='4' class='input_header' readonly />
				</td>
			</tr>
			</table>
	
			<table align='center'>
			<tr>
				<td>						
					<button name='batal_ppi' id='batal_ppi'>Batal</button>
					<button name='tutup_detail' id='tutup_detail'>Tutup Detail</button>
				</td>					
			</tr>
			</table>
			<div id='tampil_detail' align='center'></div>
		</div>
	</div>";
					
echo "<div id='info' align='center'></div>";

echo "</div>";
?>